mode(-1);
// specific part
libname='nurbslib'

// generic part  
// get the absolute path 
[units,typs,nams]=file();
clear units typs
for k=size(nams,'*'):-1:1 
  l=strindex(nams(k),'builder.sce');
  if l<>[] then
    DIR=part(nams(k),1:l($)-1);
    break
  end
end

if ~MSDOS then // Unix Linux
  if part(DIR,1)<>'/' then DIR=getcwd()+'/'+DIR,end
  MACROS=DIR+'macros/'
  SRC=DIR+'src/'
  // Create Makefile
  u=file('open',SRC+'Makefile','unknown')
  write(u,['SCIDIR = '+SCI
      'NURBDIR = '+DIR
      'LIBRARY = nurbs.a '
      'OBJSC = bspline.o bsplinei.o'
      'include '+SCI+'/Makefile.incl'
      'CFLAGS = $(CC_OPTIONS) -I'+SCI+'/routines'
      'FFLAGS = $(FC_OPTIONS) -I'+SCI+'/routines'
      'include '+SCI+'/routines/Make.lib'
      'all :: bsplinei.o'],'(a)')
  file('close',u)
  cmd_make='make'
else  // windows- Visual C++
  if part(DIR,2)<>':' then DIR=getcwd()+'\'+DIR,end
  MACROS=DIR+'macros\'
  SRC=DIR+'src\'
  u=file('open',SRC+'Makefile','unknown')
  SCI=strsubst(SCI,'/','\')
  write(u,['SCIDIR1 = '+SCI
      'SCIDIR = '+SCI
      'DUMPEXTS = '+SCI+'\bin\dumpexts.exe'
      'SCIIMPLIB = '+SCI+'\bin\LibScilab.lib'
      'LIBRARY = nurbs.lib '
      'OBJSC = bspline.obj bsplinei.obj' 
      'include '+SCI+'\Makefile.incl.mak'
      'CFLAGS = $(CC_OPTIONS) -DFORDLL -I""'+SCI+'\routines""'
      'FFLAGS = $(FC_OPTIONS) -DFORDLL -I""'+SCI+'\routines""'
      ' '
      'all :: nurbs.dll'
      ' '
      'nurbs.dll: $(OBJSC)'
      code2str(-40)+'@$(DUMPEXTS) -o ""$*.def"" ""$*.dll"" $**'
      code2str(-40)+'@$(LINKER) $(LINKER_FLAGS) $(OBJSC)  $(SCIIMPLIB) $(XLIBSBIN)'+..
      ' $(TERMCAPLIB) /nologo /dll /out:""$*.dll"" /implib:""$*.ilib"" '+..
      '/def:""$*.def""'],'(a)')

  file('close',u)
  cmd_make='nmake /f Makefile'
end
// compile Fortran sources in F-src
OLD=getcwd();chdir(SRC)

unix_s(cmd_make)
chdir(OLD);

//compile sci files if necessary and build lib file
genlib(libname,MACROS)

clear fd err nams DIR libname MACROS genlib SRC OLD cmd_make

