mode(-1);
// specific part
libname='nurbslib'
libtitle='nurbs library';

mess=[libtitle+' loaded';'execute ""nurbsdem()"" for demonstrations']

// generic part  
// get the absolute path 
[units,typs,nams]=file();
clear units typs
for k=size(nams,'*'):-1:1 
  l=strindex(nams(k),'loader.sce');
  if l<>[] then
    DIR=part(nams(k),1:l($)-1);
    break
  end
end

if ~MSDOS then
  if part(DIR,1)<>'/' then DIR=getcwd()+'/'+DIR,end
  MACROS=DIR+'macros/'
  OBJS=DIR+'src/'+['bsplinei.o' ,'nurbs.a']
else 
  if part(DIR,2)<>':' then DIR=getcwd()+'\'+DIR,end
  MACROS=DIR+'macros\'
  OBJS=DIR+'src\nurbs.dll'
end
// load the library
addinter(OBJS,libname,..
    ['bincoeff','bspeval','bspdeval','bspkntins','bspdegelev'])
execstr(libname+'=lib(""'+MACROS+'"")')
// add the help chapter
write(%io(2),mess)
%helps = [%helps; DIR+'man', libtitle]

clear fd err nams DIR libname libtitle mess

