function nurbsdem()
oldln=lines();
lines(0)
PATH=string(nurbslib);PATH=strsubst(PATH(1),'macros','demos')
deff('[]=demoex(num)','exec(PATH+demolist(num,2),-1)')

// load demo curve
if ~exists('nrbtestcrv')
  getf(PATH+'nrbtestcrv.sci');
end

// load demo surface
if ~exists('nrbtestsrf')
  getf(PATH+'nrbtestsrf.sci');
end

demolist=[
'3D Line','nrbline.dem';
'Rectangle','nrbrect.dem';
'Circle and Arc','nrbcirc.dem';
'Helix','nrbhelix.dem'
'Ellipse','nrbellip.dem'
'Test Curve','nrbcurve.dem'
'Test Surface','nrbsurf.dem'
'Bilinear Surface','nrb4surf.dem'
'Ruled Surface','nrbruled.dem'
'Coons Surface','nrbcoons.dem'
'Cylinderical arc','nrbcylind.dem'
'Test Extrusion','nrbextrude.dem'
'Test Revolution','nrbrevolve.dem'
'Knot Insertion','nrbkntins.dem'
'Degree Elevation','nrbdegelev.dem'
'Curve derivatives','nrbdercrv.dem'
'Surface derivatives','nrbdersrf.dem'
]

while %t then
  num = x_choose(demolist(:,1),'NURBs toolbox demos');
  if num==0 then 
     lines(oldln(1))
     return
  else
     demoex(num)
  end,
end

