function mag = vecmag(vec)
// Magnitude of a vector array
//
//    mag = vecmag(vec)
//
// INPUT:
//
//   vec - vector array
//
// OUTPUT:
//
//   mag - vector magnitude
//

mag = sqrt(sum(vec.^2,1));

endfunction
