function mag = vecmag2(vec)
// Squared magnitude of a vector array
//
//    mag = vecmag2(vec)
//
// INPUT:
//
//   vec - vector array
//
// OUTPUT:
//
//   mag - vector magnitude squared
//

mag = sum(vec.^2,1);

endfunction
