function nvec = vecnorm(vec)
// Normalise the vector array
//
//         nvec = vecnorm(vec)
//
// INPUT:
//
//   vec - vector array to normalise
//
// OUTPUT:
//
//   nvec - normalised vector
//

[nr,nc] = size(vec);
mag = sqrt(sum(vec.^2,1));
nvec = vec./mag(ones(1,nr),:);

endfunction
